Bug 216996 - rtorrent never completes the download, complaining at bad chunks
rtorrent never completes the download, complaining at bad chunks
Product: Fedora
Classification: Fedora
Component: rtorrent (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Chabot
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-11-22 20:37 EST by Hugo Cisneiros
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.6.4-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-28 05:41:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Hugo Cisneiros 2006-11-22 20:37:04 EST
Description of problem:

The rtorrent client is almost always complaining about bad chunks being
downloaded and never finishes the files. This happens specially when getting
large files, and it always happens at very little download remaining.

The error also says that you should use the 'safe_sync' option. Using it gives
the same error in my tests. This began to happen after the FC6 release (maybe a
problem with some update on libtorrent or rtorrent itself?)

Version-Release number of selected component (if applicable):


How reproducible:

Get some file with the latest client and see if it gives errors complaining
about bad chunks and giving the advise to use the safe_sync option.
Expected results:

rtorrent should complete the download successfully without any problems.
Comment 1 Chris Chabot 2006-11-28 05:41:06 EST
Should be fixed with the 0.6.4-2 release.
Comment 2 Dominik 'Rathann' Mierzejewski 2007-01-16 12:23:09 EST
It's not fixed.

Note You need to log in before you can comment on or make changes to this bug.